### Constructor

# EvinceView JobLoadFd new

#### Declaration [src]

    EvJob*
    ev_job_load_fd_new (
      int fd,
      const char* mime_type,
      EvDocumentLoadFlags flags,
      GError** error
    )

#### Description [src]

Creates a new `EvJobLoadFd` for `fd`. If duplicating `fd` fails, returns `NULL` with `error` filled in.

Available since: | 42.0

#### Parameters

`fd` | `int`
| A file descriptor.
`mime_type` | `const char*`
| The mime type.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `EvDocumentLoadFlags`
| Flags from `EvDocumentLoadFlags`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `EvJob`
| The new `EvJobLoadFd`, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.